#include <bits/stdc++.h>

using namespace std;

const int MAXn = 30005;

void solve()
{
    int a[MAXn], b[MAXn];
    int pozicija1=0,pozicija2=0,broj1,broj2;
    int n;
    cin >> n;
    for(int i=0; i<n; i++){
        cin >> a[i];
        if(a[i] != 0){
            if(a[i]<0)
                pozicija1++;
            pozicija1 += i;
            broj1 = a[i];
        }
    }
    for(int i=0; i<n; i++){
        cin >> b[i];
        if(b[i] != 0){
            if(b[i]<0)
                pozicija2++;
            pozicija2 += i;
            broj2 = b[i];
        }
    }
    if(pozicija1%2 == pozicija2%2 && (abs(broj1) == abs(broj2)))
        cout << "DA\n";
    else
        cout << "NE\n";
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int t;
    cin >> t;
    while(t--){
        solve();
    }
}